﻿using Syncfusion.SfDataGrid.XForms;
using System.Reflection;
using System;
using System.Linq;
using System.Collections.Generic;

using System.Text;
using System.Xml.Linq;
using Xamarin.Forms;
using System.IO;
using System.Xml.Serialization;
using System.Xml; 

namespace GettingStarted
{
    public class App : Application
    {
        SfDataGrid sfGrid;
        public App()
        {
            #region Read an XML file
            var assembly = typeof(App).GetTypeInfo().Assembly;
            Stream stream = assembly.GetManifestResourceStream("GettingStarted.XmlResource.xml");

            List<Table1> data;
            using (var reader = new System.IO.StreamReader(stream))
            {
                var serializer = new XmlSerializer(typeof(List<Table1>));
                data = (List<Table1>)serializer.Deserialize(reader);
            }
            
            #endregion

            sfGrid = new SfDataGrid();
            //sfGrid.AutoGeneratingColumn += sfGrid_AutoGeneratingColumn;
            sfGrid.DefaultColumnWidth = 130;
            sfGrid.ItemsSource = data;
            sfGrid.ColumnSizer = ColumnSizer.None;
            sfGrid.SelectionMode = SelectionMode.SingleDeselect;
            if (Device.OS == TargetPlatform.WinPhone)
            {
                sfGrid.HeaderRowHeight = 55;
                sfGrid.RowHeight = 51;
            }


            //sfGrid.AutoGenerateColumns = false;

            //GridTextColumn orderIdColumn = new GridTextColumn();
            //orderIdColumn.MappingName = "OrderID";
            //orderIdColumn.Width = 0; // Hide the column
            //sfGrid.Columns.Add(orderIdColumn);

            //GridTextColumn customerIdColumn = new GridTextColumn();
            //customerIdColumn.MappingName = "CustomerID";
            //customerIdColumn.HeaderText = "Customer ID";

            //GridTextColumn customerColumn = new GridTextColumn();
            //customerColumn.MappingName = "Customer";
            //customerColumn.HeaderText = "Customer";

            //GridTextColumn countryColumn = new GridTextColumn();
            //countryColumn.MappingName = "CustomerID";
            //countryColumn.HeaderText = "Customer ID";

            //sfGrid.Columns.Add(orderIdColumn);
            //sfGrid.Columns.Add(customerIdColumn);
            //sfGrid.Columns.Add(customerColumn);
            //sfGrid.Columns.Add(countryColumn);

            sfGrid.AllowSorting = true;

            //sfGrid.SortColumnDescriptions.Add(new SortColumnDescription() { ColumnName = "OrderID" });

            //sfGrid.GroupColumnDescriptions.Add(new GroupColumnDescription() { ColumnName = "ShipCountry" });

            MainPage = new ContentPage { Content = sfGrid };
        }
    }
}
